Skip to main content

Request Auto Let's Encrypt Certificate for Domain

Requests the system to automatically generate the Let's Encrypt Certificate for a domain.

Request​

Request-Line​

POST /cdn/v1.0/services/{serviceId}/certificates/auto HTTP/1.1

Request Parameters​

Path Parameters​

ParameterTypeRequiredDescription
serviceIdIntegerMandatoryThe unique identifier of this service.

Body Parameters​

ParameterTypeRequiredDescription
domainNameStringMandatoryThe domain name to request the certificate for. Must be the primary domain or an alternate domain of the service.

Response​

Status Codes, Error Codes and Error Messages​

Status CodeError CodeError Message
400InvalidCustomer.IdEmptyCustomer ID cannot be empty or invalid.
400InvalidService.IdIncorrectService ID is empty or invalid.
400InvalidService.IdPermissionService ID cannot be found or unknown.

Examples​

Request Auto Let's Encrypt Certificate for Domain​

Request​

POST /cdn/v1.0/services/67709/certificates/auto HTTP/1.1

{
"domainName":"test.flashcone.com"
}

Successful Response Body​

HTTP/1.1 200